SND_CARD_FREE_WHEN_C(9)

NAME
snd_card_free_when_closed - Disconnect the card, free it later eventually

SYNOPSIS

int snd_card_free_when_closed(struct snd_card * card);

ARGUMENTS

card
    soundcard structure

DESCRIPTION

Unlike snd_card_free, this function doesn't try to release the card resource immediately, but tries to disconnect at first. When the card is still in use, the function returns before freeing the resources. The card resources will be freed when the refcount gets to zero.

COPYRIGHT